/*
 * Copyright 2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */

package org.apache.beehive.netui.tools.testrecorder.shared;

import org.apache.beehive.netui.tools.testrecorder.shared.util.DateHelper;

import java.util.Calendar;
import java.text.ParseException;

/**
 * User: ozzy
 * Date: Jun 20, 2004
 * Time: 10:23:02 AM
 */
public class SessionBean {

    protected String sessionName;
    private String tester;
    private Calendar startDate;
    private Calendar endDate;
    private String description;

    public String getSessionName() {
        return sessionName;
    }

    public String getTester() {
        return tester;
    }

    public void setTester( String tester ) {
        this.tester = tester;
    }

    protected Calendar getStartDate() {
        return startDate;
    }

    public void setStartDate( Calendar startDate ) {
        this.startDate = startDate;
    }

    public void setStartDate( String date ) throws ParseException {
        startDate = DateHelper.getCalendarInstance(date);
    }

    public String getStartDateString() {
        if ( getStartDate() == null ) {
            return null;
        }
        return DateHelper.formatToString(getStartDate());
    }

    protected Calendar getEndDate() {
        return endDate;
    }

    public void setEndDate( Calendar endDate ) {
        this.endDate = endDate;
    }

    public void setEndDate( String date ) throws ParseException {
        endDate = DateHelper.getCalendarInstance(date);
    }

    public String getEndDateString() {
        if ( getEndDate() == null ) {
            return null;
        }
        else return DateHelper.formatToString(getEndDate());
    }

    public String getDescription() {
        return description;
    }

    public void setDescription( String description ) {
        this.description = description;
    }

}
